/*
 * @file eeprom.h
 * @brief eeprom access apis for mx6ull solar l8 board.
 * @author m.hirobe@co-nss.co.jp
 * @date 2019-08-29
 */

#ifndef __SOLAR_L8_BOARD_EEPROM_HEADER__
#define __SOLAR_L8_BOARD_EEPROM_HEADER__

void fw_eeprom_init(void);
struct boot_fw_eeprom *fw_eeprom_read(void);
char *fw_eeprom_macaddr_read(void);
int fw_eeprom_bootsts_update(struct boot_fw_eeprom *fw_info);

#endif /* __SOLAR_L8_BOARD_EEPROM_HEADER__ */
